Subject: Re: bug#45901: GNOME Fonts takes about 20 seconds to display fonts

From: Christopher Baines <[email-masked]>
Date: Sat, 16 Jan 2021 11:18:26 +0000

Luis Felipe via Bug reports for GNU Guix <[email-masked]> writes:

> ## Steps to reproduce
>
> The following steps assume you are using Guix System with GNOME desktop.
>
> 1. Open the command prompt (ALT+F2)
> 2. Run gnome-font-viewer
>
>
> ## Expected result
>
> GNOME Fonts starts and displays the fonts available (system and user fonts?) with their corresponding names and thumbnails.
>
>
> ## Unexpected result
>
> + GNOME Fonts starts, but the font view is empty and there is no visual sign of content being loaded.
> + The fonts are listed after waiting for about 20 seconds.
> + The fonts have no preview thumbnails (I heard Christopher Baines was looking into this particular issue)

Hey,

I've just pushed the fix I worked on for thumbnails [1].

1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=540893a8ccef41436a1c00ae268f74219f9ab220

Could you guix pull, guix upgrade gnome-font-viewer, remove
~/.cache/thumbnails/fail/ and then re-test?

Thanks,

Chris